Skip to main content
GET
Get Appointment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appointmentId
string
required

ID of the appointment to return

Response

Getting the requested appointment

Appointment

id
string

ID of the appointment, always starting with apt_.

Example:

"apt_abc12346def678"

customerId
string | null

ID of the Customer involved in this appointment, when the case

Example:

"cst_abc12345def678"

attendeeName
string | null

Name of the attendee of the meeting

Example:

"John Doe"

attendeeEmail
string | null

Emailaddress of the attendee of the meeting

Example:

"john.doe@example.com"

name
string

Name of the meeting, mostly a short description of the meeting.

Example:

"Offer meeting"

startsAt
string

Date and time when the appointment starts, written in ATOM format.

Example:

"2025-03-05T16:00:00+02:00"

endsAt
string

Date and time when the appointment ends, written in ATOM format.

Example:

"2025-03-05T16:30:00+02:00"

status
string

Current status of the appointment. Possible values are scheduled, canceled, and pending.

Example:

"scheduled"

Link to the online meeting of the connected integration, when available

Example:

"https://meet.google.com/abc-123"

aiTranscriberInvited
boolean

Indicates if the AI transcriber is invited to the meeting and makes a transcript of the meeting

Example:

false

aiTranscriberStatus
string

The status of the AI transcriber. Can be scheduled, waiting, in_call, failed, processing or done. Will be null when not invited.

Example:

null

createdAt
string

Date and time when the appointment is added to MijnKlantportaal, not matter of the status. Written in ATOM format.

Example:

"2025-03-04T17:23:14+02:00"